/// <reference types="node" />
import { BrotliOptions, ZlibOptions } from "zlib";
import { HttpRequest, MediaType } from "@reactive-js/http";
import { BufferStreamLike } from "@reactive-js/node";
import { Operator } from "@reactive-js/pipe";
import { HttpClientRequest } from "./interfaces";
export declare const decodeHttpRequest: (options?: BrotliOptions | ZlibOptions) => Operator<HttpRequest<BufferStreamLike>, HttpRequest<BufferStreamLike>>;
export declare const encodeHttpRequest: (options?: BrotliOptions | ZlibOptions) => Operator<HttpClientRequest, HttpRequest<BufferStreamLike>>;
export declare const encodeCharsetHttpRequest: (contentType: string | MediaType) => Operator<HttpRequest<string>, HttpRequest<BufferStreamLike>>;
//# sourceMappingURL=httpRequest.d.ts.map